#ifndef SHARED_SURVEY_SUBMIT_H
#define SHARED_SURVEY_SUBMIT_H

#include "../survey.h"
#include "shared_cs_util.h"

typedef struct name_value
{
    int id;
    char *value;
    struct name_value *next;
}NAME_VALUE;

typedef struct name_value_list
{
    NAME_VALUE *head;
    NAME_VALUE *current;
}NAME_VALUE_LIST;



void write_result_file(FILE *fp, const char *time_string, 
		const char *course_string,  NAME_VALUE_LIST *list);
void free_name_value_list(NAME_VALUE_LIST *list);
NAME_VALUE_LIST *
build_name_value_list(SURVEY_LIST *survey_list);

#endif
